iOS高德地图SDK(3D) V11.2.0001

Instance Methods | Properties | List of all members
MAHeatMapVectorOverlayRender Class Reference

`#import <MAHeatMapVectorOverlayRender.h>`

Inheritance diagram for MAHeatMapVectorOverlayRender:

## Instance Methods
(instancetype) | - initWithHeatOverlay:
| 根据指定的MAHeatMapVectorOverlay生成一个Renderer Generate a Renderer based on the specified MAHeatMapVectorOverlay More...
(MAHeatMapVectorItem *) | - getHeatMapItem:
| 根据经纬度获取对应的热力节点信息MAHeatMapVectorItem Obtain corresponding heatmap node information MAHeatMapVectorItem based on latitude and longitude More...
Instance Methods inherited from MAOverlayRenderer
(GLuint strokeTextureID) | - __attribute
(instancetype) | - initWithOverlay:
| 初始化并返回一个Overlay Renderer initialize and return an Overlay Renderer More...
(float *) | - getViewMatrix
| 获取当前地图view矩阵，数组长度为16，无需外界释放. 需要添加至地图后，才能获取有效矩阵数据，否则返回NULL Get the current map view matrix with an array length of 16, no external release required. Valid matrix data can only be obtained after adding to the map, otherwise returns NULL. More...
(float *) | - getProjectionMatrix
| 获取当前地图projection矩阵，数组长度为16，无需外界释放. 需要添加至地图后，才能获取有效矩阵数据，否则返回NULL Get the current map projection matrix with an array length of 16, no need for external release. Valid matrix data can only be obtained after adding it to the map, otherwise returns NULL. More...
(MAMapPoint) | - getOffsetPoint
| 获取当前地图中心点偏移，用以把地图坐标转换为gl坐标。需要添加到地图获取才有效。（since 5.1.0） Get the current map center offset to convert map coordinates to gl coordinates. It only takes effect when added to map acquisition （since 5.1.0） More...
(id< MTLRenderCommandEncoder >) | - getCommandEncoder
| 获取Metal渲染MTLRenderCommandEncoder对象。注意：打开地图MetalEnable时有效，否则为nil（since 7.9.0） Obtain the Metal rendering MTLRenderCommandEncoder object. Note: It is valid when MetalEnable is turned on for the map, otherwise it is nil.（since 7.9.0） More...
(CGFloat) | - getMapZoomLevel
| 获取当前地图缩放级别，需要添加到地图获取才有效。（since 5.1.0） Get the current map zoom level, which is only valid when added to the map（since 5.1.0） More...
(CGPoint) | - glPointForMapPoint:
| 将MAMapPoint转换为opengles可以直接使用的坐标 Convert MAMapPoint to coordinates that can be directly used by OpenGLES More...
(CGPoint *) | - glPointsForMapPoints:count:
| 批量将MAMapPoint转换为opengles可以直接使用的坐标 Batch convert MAMapPoint to coordinates that can be directly used by opengles More...
(CGFloat) | - glWidthForWindowWidth:
| 将屏幕尺寸转换为OpenGLES尺寸 Convert screen size to OpenGLES size More...
(void) | - glRender
| 绘制函数(子类需要重载来实现) Drawing function (subclasses need to override to implement) More...
(GLuint) | - loadTexture:
| 加载纹理图片. 注意：仅使用gles环境（since 5.1.0） Load texture image. Note: Only use gles environment （since 5.1.0） More...
(void) | - deleteTexture:
| 删除纹理. 注意：仅使用gles环境（since 5.1.0） Delete texture. Note: Only use in GLES environment（since 5.1.0） More...
(void) | - setNeedsUpdate
| 当关联overlay对象有更新时，调用此接口刷新. since 5.0.0 Call this interface to refresh when the associated overlay object is updated. since 5.0.0 More...

## Properties
MAHeatMapVectorOverlay * | heatOverlay
Properties inherited from MAOverlayRenderer
id< MAOverlayRenderDelegate > | rendererDelegate
id< MAOverlay > | overlay
UIImage * | strokeImage
CGFloat | alpha
CGFloat | contentScale

## Additional Inherited Members
Protected Attributes inherited from MAOverlayRenderer
GLuint | _strokeTextureID
CGSize | _strokeTextureSize
BOOL | _needsUpdate
BOOL | _needsLoadStrokeTexture

## Detailed Description

矢量热力图绘制类 Vector Heatmap Drawing Class

## Method Documentation

## ◆ getHeatMapItem:

- (MAHeatMapVectorItem *) getHeatMapItem: |  | (CLLocationCoordinate2D) | coordinate |

根据经纬度获取对应的热力节点信息MAHeatMapVectorItem Obtain corresponding heatmap node information MAHeatMapVectorItem based on latitude and longitude

Parameters

  coordinate | 经纬度 Latitude and longitude

## ◆ initWithHeatOverlay:

- (instancetype) initWithHeatOverlay: |  | (MAHeatMapVectorOverlay *) | heatOverlay |

根据指定的MAHeatMapVectorOverlay生成一个Renderer Generate a Renderer based on the specified MAHeatMapVectorOverlay

Parameters

  heatOverlay | 指定MAHeatMapVectorOverlay Specify MAHeatMapVectorOverlay

Returns
  新生成的MAHeatMapVectorOverlayRender Newly generated MAHeatMapVectorOverlayRender

## Property Documentation

## ◆ heatOverlay

- (MAHeatMapVectorOverlay*) heatOverlay
| read nonatomic assign

关联的MAHeatMapVectorOverlay Associated MAHeatMapVectorOverlay

The documentation for this class was generated from the following file:

- MAHeatMapVectorOverlayRender.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。